//=========================================================================
//Copyright LizardOfOz.
//This is still beta and things might and will change over time.
//
//Check the following links for updates:
//   https://tf2maps.net/members/lizardofoz.39426/#resources
//   https://twitter.com/LizardOfOz_
//   https://youtube.com/LizardOfOz
//
//Credits:
//  LizardOfOz - the original VSH Plugin. VSH Vscript recreation.
//  Maxxy - Saxton Hale's model imitating Jungle Inferno SFM; Custom animations and promotional material.
//  Velly - VFX, animations scripting, technical assistance
//  JPRAS - Mayann Hale body reference, model feedback.
//  MegapiemanPHD - Saxton Hale and Gray Mann voice acting.
//  Yakibomb - give_tf_weapon script bundle (used for Hale's first-person hands model).
//=========================================================================

class DemoShieldChange extends MercChange
{
    wasDestroyed = false;
    function CanApply()
    {
        if (player.GetPlayerClass() != TF_CLASS.DEMO)
            return false;
        //todo not exactly a fast method, but will do for now
        local wearable = null;
        while (wearable = Entities.FindByClassname(wearable, "tf_wearable_demo*"))
            if (wearable.GetOwner() == player)
                return true;
        return false;
    }

    function OnDamageTaken(params)
    {
        if (wasDestroyed || params.damage_type == 1)
            return;
        wasDestroyed = true;

        params.damage = 0;

        /*local wearable = null;
        while (wearable = Entities.FindByClassname(wearable, "tf_wearable_demo*"))
            if (wearable.GetOwner() == player)
                wearable.Kill();*/

        local deltaVector = player.GetCenter() - params.attacker.GetCenter();
        if (deltaVector.z < 60)
            deltaVector.z = 60;
        deltaVector.Norm();
        player.Yeet(deltaVector*900);

        EmitSoundOn("Player.Spy_Shield_Break", player);
        EmitSoundOn("Player.Spy_Shield_Break", player);
    }
}
mercChangesClasses.push(DemoShieldChange);