//=========================================================================
//Copyright LizardOfOz.
//This is still beta and things might and will change over time.
//
//Check the following links for updates:
//   https://tf2maps.net/members/lizardofoz.39426/#resources
//   https://twitter.com/LizardOfOz_
//   https://youtube.com/LizardOfOz
//
//Credits:
//  LizardOfOz - the original VSH Plugin. VSH Vscript recreation.
//  Maxxy - Saxton Hale's model imitating Jungle Inferno SFM; Custom animations and promotional material.
//  Velly - VFX, animations scripting, technical assistance
//  JPRAS - Mayann Hale body reference, model feedback.
//  MegapiemanPHD - Saxton Hale and Gray Mann voice acting.
//  Yakibomb - give_tf_weapon script bundle (used for Hale's first-person hands model).
//=========================================================================

::DEGREES_TO_RADIANS <- 3.14159 / 180.0;

enum HALE_JUMP_STATUS
{
    WALKING = 0,
    JUMP_STARTED = 1,
    CAN_DOUBLE_JUMP = 2,
    DOUBLE_JUMPED = 3
};

enum TF_CLASS
{
    UNDEFINED = 0,
    SCOUT = 1,
    SNIPER = 2,
    SOLDIER = 3,
    DEMO = 4,
    DEMOMAN = 4,
    MEDIC = 5,
    HEAVY = 6,
    PYRO = 7,
    SPY = 8,
    ENGINEER = 9,
    CIVILIAN = 10
};

TF_CLASS_NAMES <- [
    "Undefined",
    "Scout",
    "Sniper",
    "Soldier",
    "Demo",
    "Medic",
    "Heavy",
    "Pyro",
    "Spy",
    "Engineer",
    "Civilian"
];

enum TF_TEAM
{
    UNASSIGNED = 0,
    SPECTATOR = 1,
    SPECTATORS = 1,
    RED = 2,
    MERC = 2,
    MERCS = 2,
    HALE = 3,
    BLU = 3,
    BLUE = 3,
};

enum TF_DEATHFLAG
{
    KILLER_DOMINATION = 1,
    ASSISTER_DOMINATION = 2,
    KILLER_REVENGE = 4
    ASSISTER_REVENGE = 8
    FIRST_BLOOD = 16
    DEAD_RINGER = 32
    INTERRUPTED = 64
    GIBBED = 128
    PURGATORY = 256
}

enum LIFE_STATE
{
    ALIVE = 0,
    DYING = 1,
    DEAD = 2,
    RESPAWNABLE = 3,
    DISCARDBODY = 4
}