//=========================================================================
//Copyright LizardOfOz.
//This is still beta and things might and will change over time.
//
//Check the following links for updates:
//   https://tf2maps.net/members/lizardofoz.39426/#resources
//   https://twitter.com/LizardOfOz_
//   https://youtube.com/LizardOfOz
//
//Credits:
//  LizardOfOz - the original VSH Plugin. VSH Vscript recreation.
//  Maxxy - Saxton Hale's model imitating Jungle Inferno SFM; Custom animations and promotional material.
//  Velly - VFX, animations scripting, technical assistance
//  JPRAS - Mayann Hale body reference, model feedback.
//  MegapiemanPHD - Saxton Hale and Gray Mann voice acting.
//  Yakibomb - give_tf_weapon script bundle (used for Hale's first-person hands model).
//=========================================================================

class MeleeCritsChange extends MercChange
{
    function CanApply()
    {
        return player.GetPlayerClass() != TF_CLASS.SPY;
    }

    function OnTick() {
        local weapon = player.GetActiveWeapon();
        if (weapon == null
            || weapon.Is("market_gardener")
            || weapon.Is("holiday_punch"))
            return;
        if (GTFW_ReturnWeaponBySlotBool(weapon, TF_WEAPONSLOTS.MELEE))
            player.AddCondEx(Constants.ETFCond.TF_COND_CRITBOOSTED_ON_KILL, 0.2, null);
    }
}
mercChangesClasses.push(MeleeCritsChange);