//=========================================================================
//Copyright LizardOfOz.
//This is still beta and things might and will change over time.
//
//Check the following links for updates:
//   https://tf2maps.net/members/lizardofoz.39426/#resources
//   https://twitter.com/LizardOfOz_
//   https://youtube.com/LizardOfOz
//
//Credits:
//  LizardOfOz - the original VSH Plugin. VSH Vscript recreation.
//  Maxxy - Saxton Hale's model imitating Jungle Inferno SFM; Custom animations and promotional material.
//  Velly - VFX, animations scripting, technical assistance
//  JPRAS - Mayann Hale body reference, model feedback.
//  MegapiemanPHD - Saxton Hale and Gray Mann voice acting.
//  Yakibomb - give_tf_weapon script bundle (used for Hale's first-person hands model).
//=========================================================================

function TrySpawnAsMerc(player)
{
    if (!IsMercAlive(player))
        return;

    printl("TrySpawnAsMerc for "+player);

    player.SetCustomModelWithClassAnimations("")
    player.SetGravity(1);
    NetProps.SetPropInt(player, "m_bForcedSkin", 0);

    if (player.GetTeam() != TF_TEAM.MERCS)
    {
        player.SwitchTeam(TF_TEAM.MERCS);
        player.ForceRegenerateAndRespawn();
    }

    if (player.GetPlayerClass() == TF_CLASS.HEAVY && GetItemID(player.ReturnWeaponBySlot(0)) == 41)
    {
        player.GiveWeapon("Minigun");
        ClientPrint(player, 3, "Natasha is TEMPORARILY disabled.");
    }
}
AddListener("spawn", TrySpawnAsMerc, 0);